# Enumerations

The following enumerations are available globally.

- `CompactBlockProcessorError`

  Errors thrown by CompactBlock Processor

  See more

  #### Declaration

  Swift

      public enum CompactBlockProcessorError : Error

      extension CompactBlockProcessorError: LocalizedError

- `CompactBlockProcessorNotificationKey`

  CompactBlockProcessor notification userInfo object keys. check Notification.Name extensions for more details.

  See more

  #### Declaration

  Swift

      public enum CompactBlockProcessorNotificationKey

- `CompactBlockProgress`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum CompactBlockProgress

- `SDKMetrics`

  Undocumented

  #### Declaration

  Swift

      public enum SDKMetrics

- `NetworkType`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum NetworkType

- `ZcashNetworkBuilder`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum ZcashNetworkBuilder

- `ZcashSDK`

  Constants of ZcashLightClientKit. this constants don’t

  See more

  #### Declaration

  Swift

      public enum ZcashSDK

- `InitializerError`

  Wrapper for the Rust backend. This class basically represents all the Rust-wallet capabilities and the supporting data required to exercise those abilities.

  See more

  #### Declaration

  Swift

      public enum InitializerError : Error

- `ResourceProviderError`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum ResourceProviderError : Error

- `RustWeldingError`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum RustWeldingError : Error

- `ZcashRustBackendWeldingConstants`

  Undocumented

  #### Declaration

  Swift

      public enum ZcashRustBackendWeldingConstants

- `GRPCResult`

  Swift GRPC implementation of Lightwalletd service

  See more

  #### Declaration

  Swift

      public enum GRPCResult : Equatable

- `LightWalletServiceError`

  Wrapper for errors received from a Lightwalletd endpoint

  See more

  #### Declaration

  Swift

      public enum LightWalletServiceError : Error

      extension LightWalletServiceError: Equatable

- `SynchronizerError`

  Represents errors thrown by a Synchronizer

  See more

  #### Declaration

  Swift

      public enum SynchronizerError : Error

- `ShieldFundsError`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum ShieldFundsError : Error

      extension ShieldFundsError: LocalizedError

- `ConnectionState`

  Represent the connection state to the lightwalletd server

  See more

  #### Declaration

  Swift

      public enum ConnectionState

- `SyncStatus`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum SyncStatus : Equatable

- `TransactionKind`

  Kind of transactions handled by a Synchronizer

  See more

  #### Declaration

  Swift

      public enum TransactionKind

- `RewindPolicy`

  Type of rewind available -birthday: rewinds the local state to this wallet’s birthday -height: rewinds to the nearest blockheight to the one given as argument. -transaction: rewinds to the nearest height based on the anchor of the provided transaction.

  See more

  #### Declaration

  Swift

      public enum RewindPolicy

- `KeyDerivationErrors`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum KeyDerivationErrors : Error

- `TransactionEncoderError`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum TransactionEncoderError : Error

- `SaplingParameterDownloader`

  Helper class to handle the download of Sapling parameters

  See more

  #### Declaration

  Swift

      public enum SaplingParameterDownloader

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.